﻿<!doctype html>
<!--[if lte IE 9]> <html class="lte-ie9" lang="en"> <![endif]-->
<!--[if gt IE 9]><!-->
<html lang="en">
<!--<![endif]-->
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="initial-scale=1.0,maximum-scale=1.0,user-scalable=no">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Remove Tap Highlight on Windows Phone IE -->
    <meta name="msapplication-tap-highlight" content="no" />
    <meta name="JWT_TOKEN" content="@ViewBag.JWT_TOKEN" />
    <link rel="icon" type="image/png" href="~/assets/img/favicon-16x16.png" sizes="16x16">
    <link rel="icon" type="image/png" href="~/assets/img/favicon-32x32.png" sizes="32x32">
    <title>Phoenix APP</title>


    <!-- uikit -->
    <link rel="stylesheet" href="~/assets/plugins/uikit/css/uikit.almost-flat.css" media="all">
    <!-- flag icons -->
    <link rel="stylesheet" href="~/assets/icons/flags/flags.css" media="all">
    <!-- style switcher -->
    <link rel="stylesheet" href="~/assets/css/style_switcher.min.css" media="all">

    <!-- altair admin -->
    <link rel="stylesheet" href="~/assets/css/main.css" media="all">
    <!-- themes -->
    <link rel="stylesheet" href="~/assets/css/themes/themes_combined.min.css" media="all">
    <!-- matchMedia polyfill for testing media queries in JS -->
    <!--[if lte IE 9]>
        <script type="text/javascript" src="~/assets/plugins/matchMedia/matchMedia.js"></script>
        <script type="text/javascript" src="~/assets/plugins/matchMedia/matchMedia.addListener.js"></script>
        <link rel="stylesheet" href="~/assets/css/ie.css" media="all">
    <![endif]-->
    
    <script src="https://cdn.jsdelivr.net/npm/es6-promise@4/dist/es6-promise.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/es6-promise@4/dist/es6-promise.auto.js"></script>
    @*<!--[if (IE)]>
            <script src="https://cdn.jsdelivr.net/npm/es6-promise@4/dist/es6-promise.js"></script>
            <script src="https://cdn.jsdelivr.net/npm/es6-promise@4/dist/es6-promise.auto.js"></script>
        <![endif]-->*@

    
    

    <link rel="stylesheet" href="~/assets/plugins/dropify/css/dropify.css">
    <link rel="stylesheet" href="~/assets/plugins/ion.rangeslider/css/ion.rangeSlider.css">
    <link rel="stylesheet" href="~/assets/plugins/roboto/roboto.css" media="all">
    <link rel="stylesheet" href="~/assets/plugins/custom/custom.css" media="all">
    <script src="~/assets/plugins/jquery/dist/jquery.min.js"></script>
    
    <script>
        //var WEB = 'http://www.nava.local/Phoenix.Web/'
        //var API = 'http://www.nava.local/api/'
        var WEB = '@ViewBag.WEB_URL'
        var WEB_GENERAL = WEB + "/General";
        var WEB_FINANCE = WEB + "/Finance";
        var WEB_HRIS = WEB + "/Hris";
        var WEB_PM = WEB + "/ProjectManagement";
        var API = '@ViewBag.API_URL'
        var API_GENERAL = '@ViewBag.API_GENERAL_URL'
        var API_FINANCE = '@ViewBag.API_FINANCE_URL'
        var API_HRIS = '@ViewBag.API_HRIS_URL'
        var API_PM = '@ViewBag.API_PM_URL'
        var NOT_USING_AUTH_HEADER = @(ViewBag.NOT_USING_AUTH_HEADER?"true":"false")
    </script>
</head>
<body class="sidebar_main_open sidebar_main_swipe uk-height-1-1 ">
    <div id="dloader">
        <div class="pwait bg-white" style="width:120px;text-align:center"><h4>Please Wait..</h4><img src="~/assets/img/loading.gif"></div>
    </div>  
    @Html.Partial("_header")
    @Html.Partial("_menu")

    <div id="page_content" class="uk-height-1-1">


        @RenderBody()


    </div>
    <div class="uk-modal" id="modal_for_all">
        <div class="uk-modal-dialog">
            <div class="uk-modal-header">
                <h3 class="uk-modal-title">Headline</h3>
                <button type="button" class="uk-modal-close uk-close"></button>
            </div>
            <div class="uk-modal-content"></div>
        </div>
    </div>
    <script src="~/assets/js/common.min.js"></script>
    <!-- uikit functions -->
    <script src="~/assets/js/uikit_custom.min.js"></script>
    <!-- altair common functions/helpers -->
    <script src="~/assets/js/altair_admin_common.js"></script>
    <script src="~/assets/plugins/moment/moment.js"></script>
    <script src="~/assets/plugins/history/bundled/html4_html5/jquery.history.js"></script>
    <script src="~/assets/js/axios.min.js"></script>

    <script src="~/assets/module/core-ie.js?r=@ViewBag.NOW"></script> 
    @*<!--[if (IE)]>
        <script src="~/assets/module/core-ie.js?r=@ViewBag.NOW"></script> 
    <![endif]-->
    <!--[if !(IE)]><!-->
        <script src="~/assets/module/core.js?r=@ViewBag.NOW"></script> 
    <!--<![endif]-->*@

    <!-- page specific plugins -->
    <script src="~/assets/plugins/custom/custom.js"></script>
    <script src="~/assets/plugins/jquery/validate/jquery.validate.min.js"></script>
    <script src="~/assets/plugins/jquery/validate/jquery.validate.unobtrusive.min.js"></script>

    <script src="~/assets/plugins/push.js/push.min.js"></script>

    <script src="~/assets/plugins/datatables/media/js/jquery.dataTables.min.js"></script>
    <script src="~/assets/plugins/datatables-buttons/js/dataTables.buttons.js"></script>
    <script src="~/assets/plugins/datatables-buttons/js/buttons.colVis.js"></script>
    <script src="~/assets/js/custom/datatables/buttons.uikit.js"></script>
    <script src="~/assets/js/custom/datatables/datatables.uikit.min.js"></script>
    <script src="~/assets/plugins/datatables/media/js/fnSetFilteringDelay.js"></script>
    <!-- ionrangeslider -->
    <script src="~/assets/plugins/ion.rangeslider/js/ion.rangeSlider.min.js"></script>
    <!-- htmleditor (codeMirror) -->
    <script src="~/assets/js/uikit_htmleditor_custom.min.js"></script>
    <script src="http://altair_html.tzdthemes.com/bower_components/parsleyjs/dist/parsley.min.js"></script>
    <!-- inputmask-->
    <script src="~/assets/plugins/jquery.inputmask/dist/jquery.inputmask.bundle.js"></script>
    <script src="http://malsup.github.com/jquery.form.js"></script> 
    <script>
        $(function () {

            if (isHighDensity()) {
                $.getScript("@Url.Content("assets/plugins/dense/src/dense.js")", function () {
                    // enable hires images
                    altair_helpers.retina_images();
                });
            }
            if (Modernizr.touch) {
                // fastClick (touch devices)
                FastClick.attach(document.body);
            }
        });
        $window.load(function () {
            // ie fixes
            altair_helpers.ie_fix();
        });
    </script>

    @if (IsSectionDefined("Script"))
    {
        @RenderSection("Script")
    }

</body>
</html>

        
    